	TITLE The Mig Aplet



INCLUDE	include/=common.h

ASSEMBLE
=~MIGplay	EQU	#41D+4096*0
RPL
EXTERNAL MIGplay


ASSEMBLE
** Don't forget to change the first field (length of the second one)
	Dir_Head 9,Mig Aplet,41D
RPL

#IF	(_HP39_)
  {
	topic_CAPLET
	view01_CAPLET
	view23_CAPLET
	view45_CAPLET
	xREADNOTE
	view7_CAPLE
  }
#ELSE
  {
	topic_CAPLE
	view01_CAPL
	view23_CAPL
	view45_CAPL
	xREADNOTE
	view7_CAPLE
  }
#ENDIF

	( Include all the variables needed by the aplet structure )
	INCLUDE include/=sharedvar.h 

********************************************************************************

ASSEMBLE 
	Vfield  L34,IntTable
	CON(5)	=DOHSTR
	REL(5)  endLink
	Link	_Main
	Link	_Dispatch
endLink
	
RPL
DEFINE Main	INT_00
DEFINE Dispatch	INT_01

********************************************************************************

ASSEMBLE
	Vfield  IntTable,DirVar
	CON(5)	=DOHSTR
	REL(5)  endCode
RPL


NAMELESS _Main
::
  { 
    MINUSONE { { $ "Start" :: ZERO Main ; } { $ "About" NotesViewUI } }
    StndVar
    StndEntry
    StndExit
  }
  BinLookup case EVAL
  DROP

*
* For more details about ChooseVEntry, see:
* <http://groups.google.fr/group/comp.sys.hp48/msg/502a91181ef00b1d>
*
 '
 ::
  '
  ::					( Message Handler )
    SIXTY #=casedrop TrueTrue		( Full screen? )

    FIVETHREE #=casedrop		( Menu )
    ::
      '
      ::
        NoExitAction
	{
	  NullMenuKey
	  NullMenuKey
	  NullMenuKey
	  NullMenuKey
	  NullMenuKey
	  { $ "PLAY" :: Dispatch ; }
	}
      ;
      TRUE
    ;
    DROPFALSE
  ;					( End of Message Handler )

#IF	(_HP39_)
  $ "Mig for HP39/40"
#ELSE
  $ "Mig for HP38"
#ENDIF

  SEVENTEEN

* Item list
  {
#IF _HP39_
    { $ "Bach: Invention in F"
	INCLUDE data/binve.s
    }
    { $ "Bach: Musette in D"
	INCLUDE data/muse.s
    }
#ENDIF
    { $ "Bach: Toccata"
	INCLUDE data/tocc.s
    }
#IF _HP39_
    { $ "Bach: Fuga"
	INCLUDE data/fuga.s
    }
    { $ "Boismortier: Menuet"
	INCLUDE data/bmen.s
    }
    { $ "Gallay: Allegreto"
	INCLUDE data/gall.s
    }
    { $ "Joplin: Maplet Leaf Rap"
	INCLUDE data/jmap.s
    }
#ENDIF
    { $ "Joplin: The Entertainer"
	INCLUDE data/ente.s
    }
#IF _HP39_
    { $ "Mozart: Knigin der N"
	INCLUDE data/koni.s
    }
    { $ "Mozart: Marche Turque"
	INCLUDE data/turc.s
    }
    { $ "Pachelbel: Kannon"
	INCLUDE data/pach.s
    }
    { $ "R-Korsakov: Hummelflu"
	INCLUDE data/humm.s
    }
    { $ "Ringo S: Octopuss's g"
	INCLUDE data/octo.s
    }
    { $ "Tchaikovsky: Danse ch"
	INCLUDE data/chin.s
    }
    { $ "Tchaikovsky: Reed Flu"
	INCLUDE data/treed.s
    }
    { $ ": Duet"
	INCLUDE data/xduet.s
    }
    { $ ": Gavotte"
	INCLUDE data/xgav.s
    }
    { $ ": Musette"
	INCLUDE data/xmus.s
    }
#ENDIF
  }
  ONE

  ChooseVEntry
 ;

 ' :: ChooseVExit DROP ;

 ChooseViewUI
;


NAMELESS _Dispatch
::
  TakeOver
  TOLVar8@
  LESetItem
  TWO NTHCOMPDROP
  
  COLA MIGplay
;

ASSEMBLE
endCode
RPL


********************************************************************************

ASSEMBLE
	Vfield DirVar,DirCode
RPL
  { }

ASSEMBLE
	Vfield DirCode,DirAlt
RPL
  { }

ASSEMBLE
	Vfield DirAlt,DirNot
RPL
  $ "Mig 3.2 by Miguel Gonzlez Cuadrado.\nPorted to HP38/39/40 by Khanh-Dang Nguyen Thu-Lam (kdntl@yahoo.fr)"

ASSEMBLE
	Vfield DirNot,DirEnd
RPL
  { }
