* bzu.s:
*
* Code taken from bz.s in <http://www.hpcalc.org/hp49/utils/compress/bz49.zip>
*
*

ASSEMBLE

sMNEXT	EQU 9	Match expected?
sGARB	EQU 10

NBITS	EQU 4	Literal length
NMASK	EQU 2^(NBITS)-1
NBITS2	EQU 6
NMASK2	EQU 2^(NBITS2)-1
MBITS	EQU 5	Match length
MMASK	EQU 2^(MBITS)-1
MBITS2	EQU 7
MMASK2	EQU 2^(MBITS2)-1

MINMAT	EQU 6	Minimum match lenght

RPL


  CODE

*	Preparation

		ST=0	sGARB
reungz		GOSBVL	=$jSAVPTR
		A=DAT1	A
		D1=A
		D1=D1+	10
		A=DAT1	4
		D1=D1+	4
		LCSTR	'BZ'
		P=	3
		?C=A	WP
		GOYES	upkok
		P=	0
		LC(5)	=SETTYPEERR
getptrevalc	A=C     A
		GOSBVL	=$jGETPTR
		PC=(A)
upkok		P=	0
		C=DAT1	A
		RSTK=C
		GOSBVL	=$jCREATETEMP
		GONC	ugzmemok
		?ST=1	sGARB
		GOYES	ugzmerr
		GOSUB	PassGC
		CON(5)	=DOCOL
		CON(5)	=GARBAGE
		CON(5)	=COLA
		CON(5)	=DOCODE
		REL(5)	UGZEND
		ST=1	sGARB
		GOTO	reungz
PassGC		C=RSTK
		GOTO	getptrevalc
ugzmerr		GOVLNG	=$jGPMEMERR
ugzmemok	C=RSTK
		AD0EX
		R0=A	A
		C=C+A	A
		R1=C	A	->obend
		GOSBVL	=$jD1=DSKTOP
		C=DAT1	A
		D0=C
		D0=D0+	5+5
		D0=D0+	4+5
		C=DAT0	A
		AD0EX
		D0=A
		D0=D0+	5	->pats
		C=C+A	A
		R2=C.F	A	->lits

		A=R0	A
		DAT1=A	A	->stk1
		R3=A.F	A	->ob
		D1=A

*	Uncompress Loop

		ST=0	sMNEXT
		A=0	S
		R3=A.F	S	bits
UPKLOOP
		GOSUB	Decod
		?D#0	A
		GOYES	upkpat

		CD0EX
		CR2EX.F	A
		CD0EX
		C=A	A
		GOSBVL	=$jMOVEDOWN
		CD0EX
		CR2EX.F	A
		CD0EX
upkcont		AD1EX
		D1=A
		C=R1.F	A
		?A<C	A
		GOYES	UPKLOOP
		GOVLNG	=$jGETPTRLOOP

upkpat
		CD1EX
		D1=C
		C=C-A	A	->src
		CD0EX
		CDEX	A
		A=0	P
		?A=0	A
		GOYES	upslow
		GOSBVL	=$jMOVEDOWN
uppcnt		C=D	A
		D0=C
		GOTO	upkcont
upslow		C=C-1	A
upkplp		A=DAT0	B
		DAT1=A	1
		D0=D0+	1
		D1=D1+	1
		C=C-1	A
		GONC	upkplp
		GOC	uppcnt
UGZEND

*	Match Decoder
*********************************
* Decode directive from stream
* In:	D0	= ->in
*	D1	= ->obptr
*	R3[S]	= bits (used)
*	R3[A]	= ->ob
* Out:	A[A]=nlen D[A]=0
*	A[A]=offs D[A]=mlen
*********************************
Decod		?ST=1	sMNEXT
		GOYES	dcmat
		P=	1
		GOSUB	GetBits
		?ABIT=1	0
		GOYES	dcmat
		ST=1	sMNEXT
		P=	NBITS
		GOSUB	GetBits
		D=0	A
		?A#0	A
		RTNYES
		P=	NBITS2
		GOSUB	GetBits
		?A#0	A
		GOYES	fxlit
		GOSUB	GetA[A]
fxlit		LC(5)	NMASK
		A=A+C	A
		RTN


dcmat		ST=0	sMNEXT
		P=	MBITS
		GOSUB	GetBits
		?A#0	A
		GOYES	dcoff
		P=	MBITS2
		GOSUB	GetBits
		?A#0	A
		GOYES	fxmat
		GOSUB	GetA[A]
fxmat		LC(5)	MMASK
		A=A+C	A
dcoff		C=A	A
		D=C	A	mlen
		D=D+CON	A,(MINMAT)-1
		AD1EX
		D1=A
		C=R3.F	A	->ob
		A=A-C	A	maxoff
		LC(5)	#7FF
		P=	12
dcoflp		?A>C	A
		GOYES	GetBits
		CSRB.F	A
		P=P-1
		GONC	dcoflp	BET

*********************************
GetA[A]		P=	12
		GOSUB	GetBits
		B=A	X
		P=	8
		GOSUB	GetBits
		ASL	A
		ASL	A
		ASL	A
		A=B	X
		RTN
*********************************
* Get P bits
*********************************
GetBits		A=DAT0	A
		A=R3.F	S
		A=A-1	S
		GOC	gb0
gbshf		ASRB.F	A
		A=A-1	S
		GONC	gbshf
gb0		C=P	15
		C=C-1	S
		C=0	A
gbmlp		C=C+C	A
		C=C+1	A
		C=C-1	S
		GONC	gbmlp
		A=A&C	A

		A=R3.F	S
		C=P	15
		C=C+A	S
		A=C	S
		C=0	A
		P=	3
		CPEX	15
		CPEX	0
		A=A&C	S
		R3=A.F	S
		P=	0
		CSRB.F	P
		CSRB.F	P
		AD0EX
		A=A+C	A
		AD0EX
		RTN
  ENDCODE
